Subject: 25.1.50; make-ipv4-tcp-server-with-unspecified-port fails

From: Ken Brown <[email-masked]>
Date: Sat, 14 May 2016 21:36:52 -0400

Commit b73e525, as corrected by commit 4639bc9, causes the test 
make-ipv4-tcp-server-with-unspecified-port in 
test/lisp/net/network-streams-tests.el to fail with the error

   Invalid argument 4 of operation `open-network-stream'.

What happens is that make-network-process calls 
set_network_socket_coding_system, which calls open-network-stream with 
service eq t, which leads to the error in a way that I haven't sorted out.

In GNU Emacs 25.1.50.6 (x86_64-unknown-cygwin, GTK+ Version 3.18.9)
  of 2016-05-14 built on moufang
Repository revision: b73e5254ea9056ee2088ed096ef1de3ef8699855
Windowing system distributor 'The Cygwin/X Project', version 11.0.11802000
Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11